--
-- Altera VHDL Blink implementation
--
-- Copyrighted by Wincent Balin
-- Idea by Jean P. Nicolle
--


library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;

entity blink is
	port
	(
		clk : in std_logic;
		led : out std_logic
	);
end blink;

architecture blink_arch of blink is
signal cnt : std_logic_vector(23 downto 0);
begin
	led <= '1' when (cnt(20) = '1' and cnt(22) = '0') else '0';

	process(clk)
	begin
		if clk'event and clk = '1' then
			cnt <= unsigned(cnt) + 1;
		end if;
	end process;
end blink_arch;
